### Constructor

# Gtk.MapListModel.new

#### Declaration [src]

    GtkMapListModel*
    gtk_map_list_model_new (
      GListModel* model,
      GtkMapListModelMapFunc map_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Creates a new `GtkMapListModel` for the given arguments.

#### Parameters

`model` | `GListModel*`
| The model to map or `NULL` for none
| Can be `NULL`
| Ownership of the data is transferred to the callee
`map_func` | `GtkMapListModelMapFunc`
| map function or `NULL` to not map items
`user_data` | `gpointer`
| user data passed to `map_func`
`user_destroy` | `GDestroyNotify`
| destroy notifier for `user_data`

#### Return value

Returns: `GtkMapListModel`
a new `GtkMapListModel`
Ownership of the data is transferred to the caller